import React from "react";
import PropTypes from "prop-types";
declare type colors = "primary" | "secondary" | "success" | "danger" | "warning" | "info" | "dark" | "light";
interface Props {
    className?: string;
    color?: colors;
    onClose?: Function;
    onClosed?: Function;
    tag?: string;
    children?: React.ReactNode;
    dismiss?: boolean;
    style?: React.CSSProperties;
}
declare const Alert: {
    (props: Props): JSX.Element;
    defaultProps: {
        color: string;
        tag: string;
    };
    propTypes: {
        className: PropTypes.Requireable<string>;
        color: PropTypes.Requireable<string>;
        onClose: PropTypes.Requireable<(...args: any[]) => any>;
        onClosed: PropTypes.Requireable<(...args: any[]) => any>;
        tag: PropTypes.Requireable<string>;
        dismiss: PropTypes.Requireable<boolean>;
    };
};
export default Alert;
export { Alert as CDBAlert };
