import React from 'react';
import PropTypes from 'prop-types';
interface Props {
    autoWidth?: boolean;
    barReverse?: boolean;
    bordered?: boolean;
    borderless?: boolean;
    btn?: boolean;
    children?: React.ReactNode;
    className?: string;
    dark?: boolean;
    data?: string | {
        columns: any[];
        rows: any[];
    };
    disableRetreatAfterSorting?: boolean;
    displayEntries?: boolean;
    entries?: number;
    entriesLabel?: [number, object, string];
    entriesOptions?: number[];
    exportToCSV?: boolean;
    filter?: string;
    fixed?: boolean;
    hover?: boolean;
    info?: boolean;
    infoLabel?: string[];
    materialSearch?: boolean;
    maxHeight?: string;
    noBottomColumns?: boolean;
    noRecordsFoundLabel?: string;
    onPageChange?: Function;
    onSearch?: Function;
    onSort?: Function;
    order?: string[];
    pagesAmount?: number;
    paginationLabel?: string;
    paging?: boolean;
    proSelect?: boolean;
    responsive?: boolean;
    responsiveLg?: boolean;
    responsiveMd?: boolean;
    responsiveSm?: boolean;
    responsiveXl?: boolean;
    scrollX?: boolean;
    scrollY?: boolean;
    searching?: boolean;
    searchLabel?: string;
    small?: boolean;
    sortable?: boolean;
    sortRows?: string;
    striped?: boolean;
    tbodyColor?: string;
    tbodyTextWhite?: boolean;
    theadColor?: string;
    theadTextWhite?: boolean;
    rows?: any;
}
declare const DataTable: {
    (props: Props): JSX.Element;
    propTypes: {
        autoWidth: PropTypes.Requireable<boolean>;
        barReverse: PropTypes.Requireable<boolean>;
        bordered: PropTypes.Requireable<boolean>;
        borderless: PropTypes.Requireable<boolean>;
        btn: PropTypes.Requireable<boolean>;
        children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        className: PropTypes.Requireable<string>;
        dark: PropTypes.Requireable<boolean>;
        data: PropTypes.Requireable<string | object>;
        disableRetreatAfterSorting: PropTypes.Requireable<boolean>;
        displayEntries: PropTypes.Requireable<boolean>;
        entries: PropTypes.Requireable<number>;
        entriesLabel: PropTypes.Requireable<string | number | object>;
        entriesOptions: PropTypes.Requireable<number[]>;
        exportToCSV: PropTypes.Requireable<boolean>;
        filter: PropTypes.Requireable<string>;
        fixed: PropTypes.Requireable<boolean>;
        hover: PropTypes.Requireable<boolean>;
        info: PropTypes.Requireable<boolean>;
        infoLabel: PropTypes.Requireable<string | object>;
        materialSearch: PropTypes.Requireable<boolean>;
        maxHeight: PropTypes.Requireable<string>;
        noBottomColumns: PropTypes.Requireable<boolean>;
        noRecordsFoundLabel: PropTypes.Requireable<string>;
        onPageChange: PropTypes.Requireable<(...args: any[]) => any>;
        onSearch: PropTypes.Requireable<(...args: any[]) => any>;
        onSort: PropTypes.Requireable<(...args: any[]) => any>;
        order: PropTypes.Requireable<string[]>;
        pagesAmount: PropTypes.Requireable<number>;
        paginationLabel: PropTypes.Requireable<string[]>;
        paging: PropTypes.Requireable<boolean>;
        proSelect: PropTypes.Requireable<boolean>;
        responsive: PropTypes.Requireable<boolean>;
        responsiveLg: PropTypes.Requireable<boolean>;
        responsiveMd: PropTypes.Requireable<boolean>;
        responsiveSm: PropTypes.Requireable<boolean>;
        responsiveXl: PropTypes.Requireable<boolean>;
        scrollX: PropTypes.Requireable<boolean>;
        scrollY: PropTypes.Requireable<boolean>;
        searching: PropTypes.Requireable<boolean>;
        searchLabel: PropTypes.Requireable<string>;
        small: PropTypes.Requireable<boolean>;
        sortable: PropTypes.Requireable<boolean>;
        sortRows: PropTypes.Requireable<string[]>;
        striped: PropTypes.Requireable<boolean>;
        tbodyColor: PropTypes.Requireable<string>;
        tbodyTextWhite: PropTypes.Requireable<boolean>;
        theadColor: PropTypes.Requireable<string>;
        theadTextWhite: PropTypes.Requireable<boolean>;
    };
    defaultProps: {
        autoWidth: boolean;
        barReverse: boolean;
        bordered: boolean;
        borderless: boolean;
        btn: boolean;
        dark: boolean;
        data: {
            columns: any[];
            rows: any[];
        };
        disableRetreatAfterSorting: boolean;
        displayEntries: boolean;
        entries: number;
        entriesLabel: string;
        entriesOptions: number[];
        exportToCSV: boolean;
        fixed: boolean;
        hover: boolean;
        info: boolean;
        infoLabel: string[];
        noRecordsFoundLabel: string;
        noBottomColumns: boolean;
        order: any[];
        pagesAmount: number;
        paging: boolean;
        paginationLabel: string[];
        responsive: boolean;
        responsiveSm: boolean;
        responsiveMd: boolean;
        responsiveLg: boolean;
        responsiveXl: boolean;
        searching: boolean;
        searchLabel: string;
        scrollX: boolean;
        scrollY: boolean;
        sortable: boolean;
        small: boolean;
        striped: boolean;
        theadColor: string;
        theadTextWhite: boolean;
        tbodyColor: string;
        tbodyTextWhite: boolean;
        proSelect: boolean;
        materialSearch: boolean;
    };
};
export default DataTable;
export { DataTable as CDBDataTable };
