/// <reference types="react" />
import PropTypes from 'prop-types';
interface Props {
    className?: string;
    color?: string;
    dark?: boolean;
    double?: boolean;
    expand?: boolean | string;
    fixed?: string;
    light?: boolean;
    scrolling?: boolean;
    scrollingNavbarOffset?: number;
    sticky?: string;
    tag?: [Function, string];
    transparent?: boolean;
}
declare const Navbar: {
    (props: Props): JSX.Element;
    propTypes: {
        className: PropTypes.Requireable<string>;
        color: PropTypes.Requireable<string>;
        dark: PropTypes.Requireable<boolean>;
        double: PropTypes.Requireable<boolean>;
        expand: PropTypes.Requireable<string | boolean>;
        fixed: PropTypes.Requireable<string>;
        light: PropTypes.Requireable<boolean>;
        scrolling: PropTypes.Requireable<boolean>;
        scrollingNavbarOffset: PropTypes.Requireable<number>;
        sticky: PropTypes.Requireable<string>;
        tag: PropTypes.Requireable<string | ((...args: any[]) => any)>;
        transparent: PropTypes.Requireable<boolean>;
    };
    defaultProps: {
        tag: string;
        expand: boolean;
        scrolling: boolean;
    };
};
export default Navbar;
export { Navbar as CDBNavbar };
