/// <reference types="react" />
import PropTypes from "prop-types";
interface Props {
    tooltip?: Boolean;
    tooltipPlacement?: string;
    tooltipLabel?: Function;
    tooltipStyle?: object;
    tooltipProps?: object;
    className?: string;
    bsPrefix?: string;
    value?: any;
    setValue?: any;
}
declare const Slider: {
    (props: Props): JSX.Element;
    propTypes: {
        value: PropTypes.Requireable<string | number>;
        onChange: PropTypes.Requireable<(...args: any[]) => any>;
        onAfterChange: PropTypes.Requireable<(...args: any[]) => any>;
        min: PropTypes.Requireable<number>;
        max: PropTypes.Requireable<number>;
        step: PropTypes.Requireable<number>;
        disabled: PropTypes.Requireable<boolean>;
        size: PropTypes.Requireable<string>;
        variant: PropTypes.Requireable<string>;
        inputProps: PropTypes.Requireable<object>;
        tooltip: PropTypes.Requireable<string>;
        tooltipPlacement: PropTypes.Requireable<string>;
        tooltipLabel: PropTypes.Requireable<(...args: any[]) => any>;
        tooltipStyle: PropTypes.Requireable<object>;
        tooltipProps: PropTypes.Requireable<object>;
        className: PropTypes.Requireable<string>;
        bsPrefix: PropTypes.Requireable<string>;
    };
    defaultProps: {
        min: number;
        max: number;
        step: number;
    };
};
export default Slider;
export { Slider as CDBSlider };
